//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLEDM0.96-1C 
// Lanuage   : C Code
// Create    : JAVEN
// Date      : 2025-03-20
// Drive IC  : SSD1357
// INTERFACE : 4 LINE SPI
// MCU 		   : STM32F103ZET6
//----------------------------------------------------------------------

//Hardware connection
// GND    VSS
// VCC    3.3v
// SCK    PG12
// SDA    PD5
// RES    PD4
// DC     PD15
// CS     PD1 

#include "delay.h"
#include "sys.h"
#include "led.h"
#include "lcd_init.h"
#include "lcd.h"
#include "pic.h"
int main(void)
{
	float t=0;
	delay_init();
	LED_Init();
	LCD_Init();
	LCD_Fill(0,0,LCD_W,LCD_H,WHITE);
	LED0=0;
	while(1)
	{
		LCD_Fill(0,0,LCD_W,LCD_H,RED);
		LCD_Fill(0,0,LCD_W,LCD_H,GREEN);
		LCD_Fill(0,0,LCD_W,LCD_H,BLUE);
		LCD_Fill(0,0,LCD_W,LCD_H,WHITE);
		LCD_ShowChinese(0,0,"ն",RED,WHITE,16,0);
		LCD_ShowString(0,18,"LCD_W:",RED,WHITE,16,0);
		LCD_ShowIntNum(0,33,LCD_W,3,RED,WHITE,16);
		LCD_ShowString(0,50,"LCD_H:",RED,WHITE,16,0);
		LCD_ShowIntNum(0,70,LCD_H,3,RED,WHITE,16);
		LCD_ShowPicture(22,80,40,40,gImage_1);
	}
}

